<p class="title">
	Assessment Maintenance > Add/Edit Payment Channel > <i>Add</i>
</p>
<form [formGroup]="paymentChannelForm" name="createForm"
	id="createForm" novalidate role="form" novalidate
	(ngSubmit)="save(paymentChannelForm.value)">
	<div class="card">
		<div class="card-header title">Add a new Payment Channel</div>
		<div class="card-block">
			<div class="form-group row">
				<label class="col-sm-2 form-control-label heading"
					for="field_merchantname">Name</label>
				<div class="col-sm-10">
					<textarea class="form-control" name="name"
						formControlName="name" required>
                </textarea>
					<div
						*ngIf="paymentChannelForm.controls.name.errors && (paymentChannelForm.controls.name.dirty || paymentChannelForm.controls.name.touched)"
						class="alert alertError">
						<div
							[hidden]="!paymentChannelForm.controls.name.errors.required">
							This field is required.</div>
						<div
							[hidden]="!paymentChannelForm.controls.name.errors.minlength">Payment Channel
							 must be at least 5 characters long.</div>
						<div
							[hidden]="!paymentChannelForm.controls.name.errors.maxlength">Payment Channel
							 cannot be more than 100 characters long.</div>
						<div
							[hidden]="!paymentChannelForm.controls.name.errors.pattern">Invalid
							character</div>
					</div>
				</div>
			</div>
		</div>
		<div class="row-md action-div">
			<button type="submit" (click)="previousState()"
				class="btn btn-default action-btn-with-text">
				<span class="fa fa-times fa-lg"></span>&nbsp;<span> Cancel</span>
			</button>
			<button type="submit" [disabled]="!paymentChannelForm.valid"
				class="btn action-btn-with-text edit">
				<span class="fa fa-save"></span>&nbsp;<span>Save</span>
			</button>
		</div>
	</div>

</form>


